import { http } from '@/utils/http/axios';

/**
 * @description: 缓存名称列表
 */
export function getCacheNames(params?) {
  return http.request({
    url: '/cache/getNames',
    method: 'GET',
    params,
  });
}

/**
 * @description: 缓存key列表
 */
export function getCacheKeys(cacheName) {
  return http.request({
    url: '/cache/getKeys/' + cacheName,
    method: 'get',
  });
}

/**
 * @description: 缓存value列表
 */
export function getCacheValue(params?) {
  return http.request({
    url: '/cache/getValue',
    method: 'get',
    params,
  });
}

/**
 * @description: 删除缓存名称
 */
export function deleteCacheName(cacheName) {
  return http.request({
    url: '/cache/deleteCacheName/' + cacheName,
    method: 'DELETE',
  });
}

/**
 * @description: 删除缓存key
 */
export function deleteCacheKey(cacheKey) {
  return http.request({
    url: '/cache/deleteCacheKey/' + cacheKey,
    method: 'DELETE',
  });
}

/**
 * @description: 清理全部
 */
export function deleteCacheAll() {
  return http.request({
    url: '/cache/deleteCacheAll',
    method: 'DELETE',
  });
}
